Ionic Serve crash on save

This Solution Works Perfectly Thanks Man :slight_smile:

1 Like

Thank you! That really helped and solved this for me!

1 Like

from https://github.com/ionic-team/ionic-app-scripts/issues/1345

To fix:

  • remove ./node_modules/ws folder
  • run $ npm install ws@3.3.2

That did the job for me :sweat_smile:

Cheers @ionic Team !

4 Likes

Nope, just run this command and it should run fine.

1 Like

Thanks a lot! This work-around fixed my problem. But what is it actually? It’s working fine with the same project, same chrome version and same npm, ionic versions in my other system?

this solution works for myApp tabs but does not work with myApp blank and myApp sidemenu.
You can try them to see because npm install ws@3.3.2 resoud only for myApp tabs

1 Like

this solution works for myApp tabs but does not work with myApp blank and myApp sidemenu.
You can try them to see because npm install ws@3.3.2 resoud only for myApp tabs

this solution works for myApp tabs but does not work with myApp blank and myApp sidemenu.
You can try them to see because npm install ws@3.3.2 resoud only for myApp tabs

for solution you have to give this command npm i -D -E ws@3.3.2 every time you create a new project, strange

for solution you have to give this command npm i -D -E ws@3.3.2 every time you create a new project, strange

Hey yall! Thanks for all the detailed info! We’ll look at this right away

5 Likes

Can you please install the nightly version of app-scripts to verify that all is fixed.

npm install @ionic/app-scripts@nightly --save-dev

This just pins the version to 3.3.2 for now until we properly update ws.

6 Likes

For the solution, you should give this command npm install @ iicic / app-scripts @ nightly --save-dev whenever you create a new project, until a exact solution by ionic team, Thank you mhartington

after installation of npm install @ionic/app-scripts@nightly --save-dev, it’s always the same

1 Like

@villarres you might need to delete node_modules and package-lock file if you have it.

Hi there! Please install 3.1.6 of app-scripts, which fixes the ws version.

npm install @ionic/app-scripts@3.1.6 --save-dev

Thanks for all your info/feed back on this one folks, really appreciate it!

21 Likes

This works perfectly. Thanks!

1 Like

This works perfectly. Thanks Mhartington for the prompt response!

Thanks Man… this works.
Thank a lot. :smile:

1 Like

Thanks a lot Omar ! This work great!

1 Like

Great!!! This worked.